# DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS HEADER.
#
# Copyright 1997-2010 Oracle and/or its affiliates. All rights reserved.
#
# Oracle and Java are registered trademarks of Oracle and/or its affiliates.
# Other names may be trademarks of their respective owners.
#
# The contents of this file are subject to the terms of either the GNU
# General Public License Version 2 only ("GPL") or the Common
# Development and Distribution License("CDDL") (collectively, the
# "License"). You may not use this file except in compliance with the
# License. You can obtain a copy of the License at
# http://www.netbeans.org/cddl-gplv2.html
# or nbbuild/licenses/CDDL-GPL-2-CP. See the License for the
# specific language governing permissions and limitations under the
# License.  When distributing the software, include this License Header
# Notice in each file and include the License file at
# nbbuild/licenses/CDDL-GPL-2-CP.  Oracle designates this
# particular file as subject to the "Classpath" exception as provided
# by Oracle in the GPL Version 2 section of the License file that
# accompanied this code. If applicable, add the following below the
# License Header, with the fields enclosed by brackets [] replaced by
# your own identifying information:
# "Portions Copyrighted [year] [name of copyright owner]"
#
# Contributor(s):
#
# The Original Software is NetBeans. The Initial Developer of the Original
# Software is Sun Microsystems, Inc. Portions Copyright 1997-2006 Sun
# Microsystems, Inc. All Rights Reserved.
#
# If you wish your version of this file to be governed by only the CDDL
# or only the GPL Version 2, indicate your decision by adding
# "[Contributor] elects to include this software in this distribution
# under the [CDDL or GPL Version 2] license." If you do not indicate a
# single choice of license, a recipient has the option to distribute
# your version of this file under either the CDDL, the GPL Version 2 or
# to extend the choice of license to its licensees as provided above.
# However, if you add GPL Version 2 code and therefore, elected the GPL
# Version 2 license, then the option applies only if the new code is
# made subject to such option by the copyright holder.

# Web Service Client resource bundle
Templates/WebServices=Web Services
Templates/WebServices/WebServiceClient=Web Service Client

TITLE_WebServiceClientWizard=WSDL and Client Location

LBL_HttpProxyDlgTitle=HTTP Proxy Settings
LBL_HttpProxyHost=HTTP Proxy &Host\:
LBL_HttpProxyPort=HTTP Proxy &Port\:

ERR_PortSpecifiedWithoutHost=If proxy host is not specified, proxy port should not be specified either.
ERR_MalformedProxyURL=Proxy server URL is malformed: {0}
ERR_HostSpecifiedWithoutPort=Now specify the port that this proxy host is running on.
ERR_PortNumberNegative=Proxy port cannot be negative.
ERR_PortNumberTooLarge=Proxy port cannot be greater than {0}.
ERR_PortNumberInvalid=''{0}'' is not a valid integer.
LBL_WsdlSource=Specify the WSDL file of the Web Service.
LBL_WsdlSourceUrl=&URL\:
LBL_RetrieveWsdl=Retrieve &WSDL
LBL_ProxySettings=Set &Proxy...
LBL_LocalFNDescription=Specify the local filename for the retrieved WSDL.
LBL_WsdlUrl=WSDL &URL\:
LBL_LocalFilename=&Local Filename\:
LBL_WsdlSourceFilesystem=&Local File\:
LBL_WsdlFilename=WSDL &Filename\:
LBL_Project=Pr&oject:
LBL_ProjectUrl=Pro&ject:
LBL_PackageName=P&ackage\:
LBL_ClientType=Client &Type\:
LBL_Browse=B&rowse...
LBL_Browse1=Brows&e...
TXT_JAX_WS_Style=JAX-WS Style
TXT_JAX_RPC_Style=JAX-RPC Style

MSG_ServiceNotDeployed=WSDL file not available (web service not deployed).
MSG_ServerNotRunning=WSDL file not available (server not running).

A11Y_WsdlSourceUrl=Create WS Client from the URL of the web service WSDL file
A11Y_WsdlSource=Create WS Client from the local WSDL file
A11Y_LocalFilename=Target location of WSDL file in the project
A11Y_Project=Current project name
A11Y_ClientType=Select the Client Type
A11Y_ProxySettings=Set up the HTTP proxy host and HTTP proxy port

LBL_WebServiceClient=Web Service Client

ERR_WsCompileNotSupportedByTargetServer=The current target server for this project does not support JAX-RPC so no web service clients can be created.
ERR_NoStubsDefined=The current project does not define any web service client stub types.
MSG_EnterURL=Enter the URL of the service you wish to use.
MSG_RetrieveWSDL=Click Retrieve WSDL to download the WSDL file for this service.
MSG_DownloadProgress=Download in progress.  Status: {0}
LBL_Unknown=unknown
ERR_DownloadFailed=<html>Download failed: {0}<br>Check the proxy settings or whether the server is running.</html>
ERR_UnknownHost=Unknown host: {0}  (Check the proxy settings.)
ERR_DownloadFailedUnknown=Download failed for unknown reason.
MSG_EnterFilename=Enter the name of the WSDL file representing the service you wish to use.
ERR_WsdlInvalid=WSDL file is invalid.
ERR_WsdlDoesNotExist=WSDL file is does not exist.
MSG_MissingWsURL=<html>The URL for the web service is not specified in wsdl file. By using this wsdl the client code<br>will not work. Either fix problem in wsdl file (under META-INF[WEB-INF]/wsdl)<br>or set the web service url dynamically in runtime.</html>
ERR_NotWsdl={0} is not valid WSDL file.
MSG_EnterJavaPackageName=Enter the Java package where the service interfaces should be generated.
ERR_PackageInvalid=Package name is invalid.
ERR_PackageUsedForService=Package already used for holding {0}[service from WSDL] artifacts.
ERR_PackageUsedForClient=Package already used for holding {0}[client] artifacts.
TTL_SelectService=Browse Web Services
LBL_NoMetroInstalled=<html>For full Metro/JAX-WS 2.1 support for web services in NetBeans projects<br>install the <b>Metro Web Services Stack</b> by using the GlassFish V3 <b>Update Tool</b>.</html>
ERR_WrongSrcLevel=Required source level: {0} or higher

LBL_WsdlFilterDescription=Web Service Descriptor Files (*.wsdl, *.asmx)

ERR_WsdlParseFailure=Unable to parse WSDL file for client: {0}
ERR_CannotOpenWsdlFile=Failed to retrieve File instance for ''{0}''.
ERR_NoBuildScript=Unable to locate build script to create client interfaces.
ERR_ClientIOError=IO error occured while processing {0} file. Exception : {1}
ERR_WsCompileFailed=WsCompile script failed during initial client generation.

ERR_NoWebServiceClientSupport=No web service client support found in selected project.
ERR_NoJaxrpcPluginFound=You must download JAX-RPC support plugin to create a JAX-RPC client.
ERR_WsdlFileNotFound=Failed to retrieve FileObject instance for ''{0}''.
ERR_UnableToCreateTempFile=Unable to create temporary WSDL file ''{0}'' for client.
ERR_TempFileLocked=Temporary WSDL file ''{0}'' is locked and cannot be deleted.
ERR_TempFileNotDeleted=Temporary WSDL file ''{0}'' cannot be deleted.  Error: {1}

MSG_WizCreateClient=Creating web service client.
MSG_WizAddToRegistry=Adding test client to registry...
MSG_WizCopyingWSDL=Copying WSDL file...
MSG_WizCopyingSchemas=Copying schema files...
MSG_WizProcessingWSDL=Processing WSDL and wscompile config files...
MSG_WizParsingWSDL=Extracting service information from WSDL...
MSG_WizUpdatingDD=Adding service-ref entry to deployment descriptor...
MSG_WizUpdatingBuildScript=Updating project build script...
MSG_WizGenerateClient=Running client generation script...
MSG_WizDone=Done.

LBL_PackageDescription=Specify a package name where the client java artifacts will be generated:
LBL_ClientStyleDescription=Specify the client style.
LBL_ClientLocationAndClientType=Specify a location and the client type.

ACSN_WsdlSourceUrl=URL of Running Service
ACSD_WsdlSourceUrl=Specify URL of running service
ACSN_WsdlSourceFilesystem=Filename of WSDL file
ACSD_WsdlSourceFile=Specify path to WSDL file

MSG_InvalidProjectPath=<html>Can not create web service clients in this project; the project path "{0}"<br>contains the "{1}" character which cannot be processed by wscompile.</html>
MSG_MissingSourceRoot=Project must define at least one source package folder.
MSG_SetUpProxyForImports=<html>WSDL file imports another WSDL file or XML schema files using the HTTP protocol.<br>If you are behind the proxy use "Proxy Settings..." button to make these resources available for wscompile utility.</html>
MSG_IdeGeneratedStaticStubOnly=<html>WSDL file imports another WSDL file through HTTP protocol.<br>Only the "IDE-generated Static Stub" client type is supported for this case.</html>

ERR_FileNotFound=File "{0}" can not be found in "{1}" directory.


ERR_NeedProperSourceLevel=<html>To create web service clients in this project, the Java source level must be at least JDK 1.5</html>

LBL_JAX_Version=Client St&yle:
MNE_JAX_Version=S
A11Y_WsdlURL=Create WS Client from WSDL URL
A11Y_BrowseWSDLProject=Project Browse button
A11Y_BrowseLocalFile=Local File Browse button
ACSN_WsdlSourceLocalFile=Local WSDL File
MSG_SPACE_IN_PROJECT_PATH=The project directory has spaces in its path. This may cause problems in client generation.

MSG_ScanningInProgress=Scanning in progress...
TOOLTIP_DEFAULT_PACKAGE=<html>If you don't specify the package name the default package based on WSDL namespace will be used.<br> If you require to change the package name later, use the WSDL Customization editor.</html>

ERR_RPCEncodedJaxrpcClientRequired=Selected wsdl is rpc encoded. You must select JAX-RPC Client.
ERR_UnableToDetermineRPCEncoded="Unable to check if wsdl is rpc encoded."

LBL_GenerateDispatch=Generate Dispatch code
LBL_DEFAULT_PACKAGE=<default package>
LBL_Saas=&IDE Registered:
LBL_SaasBrowse=Bro&wse...
ACSN_Saas=Registered Saas WS option
ACSD_Saas=Option to choose wsdl file from registered Saas webservices
ACSN_SaasTextField=Saas WSDL file URL 
ACSD_SaasTextField=Specifies Saas WSDL URL
ACSN_Browse=Browse Saas Web Service
ACSD_Browse=Selects registered Saas web service
LBL_SelectWSDL=Select &Web Services Resource:

ACSN_SaasTreeView=Saas Web Services Tree View
ACSD_SaasTreeView=Selects WS node via Saas tree view
TTL_SaasResources=Saas Web Service Resources

TXT_SaasWait=Initializing Web Service Saas. Please wait...
ACSN_SaasWait=Wait WS initialization.
ACSD_SaasWait=Wait WS initialization.
TXT_SaasTitle=Operation in progress.
ERR_NotSaasWsdlFile=No saas wsdl file specified.
